Subject: [Bug 205099] KASAN hit at raid6_pq: BUG: Unable to handle kernel data access at 0x00f0fd0d

From: [email-masked]
Date: Tue, 21 Jan 2020 13:00:12 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=205099

--- Comment #22 from Erhard F. ([email-masked]) ---
(In reply to Christophe Leroy from comment #19)
> Can you tell exactly where it stops during the boot ? Or take a photo of the
> screen ?
I'll attach a photo shortly.

> In parallele, could you try (without VMAP_STACK) increasing
> CONFIG_THREAD_SHIFT to 14 ? It will double the size of the stacks.
I can confirm that with CONFIG_THREAD_SHIFT=14 the G4 runs good again with
INLINE KASAN + KASAN_VMALLOC enabled (as seen in attached dmesg). No KASAN hit
at raid6_pq, no poblem with btrfs.

Though with CONFIG_THREAD_SHIFT=14 + OUTLINE KASAN + KASAN_VMALLOC I still get
this KASAN hit at raid6_pq.

-- 
You are receiving this mail because:
You are watching the assignee of the bug.